Loading...
Searching...
No Matches
pp-rtp.h File Reference
Tools and utilities » Recordings post-processing utility

Helper structures to handle RTP post-processing (headers). More...

`#include <endian.h>`
`#include <glib.h>`
Include dependency graph for pp-rtp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | janus_pp_rtp_header
struct | janus_pp_rtp_header_extension
struct | janus_pp_frame_packet

## Macros

#define | JANUS_PP_RTP_EXTMAP_AUDIO_LEVEL "urn:ietf:params:rtp-hdrext:ssrc-audio-level"
#define | JANUS_PP_RTP_EXTMAP_VIDEO_ORIENTATION "urn:3gpp:video-orientation"

## Typedefs

typedef struct janus_pp_rtp_header | janus_pp_rtp_header
typedef struct janus_pp_rtp_header_extension | janus_pp_rtp_header_extension
typedef struct janus_pp_frame_packet | janus_pp_frame_packet

## Detailed Description

Helper structures to handle RTP post-processing (headers).

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

A few structures to ease the post-processing of RTP frames: the RTP header, its extensions (that we just skip), and a linked list we use to re-order them for post-processing audio/video later on.

Recordings post-processing utility

## Macro Definition Documentation

## JANUS_PP_RTP_EXTMAP_AUDIO_LEVEL

#define JANUS_PP_RTP_EXTMAP_AUDIO_LEVEL "urn:ietf:params:rtp-hdrext:ssrc-audio-level"

## JANUS_PP_RTP_EXTMAP_VIDEO_ORIENTATION

#define JANUS_PP_RTP_EXTMAP_VIDEO_ORIENTATION "urn:3gpp:video-orientation"

## Typedef Documentation

## janus_pp_frame_packet

typedef struct janus_pp_frame_packet janus_pp_frame_packet

## janus_pp_rtp_header

typedef struct janus_pp_rtp_header janus_pp_rtp_header

## janus_pp_rtp_header_extension

typedef struct janus_pp_rtp_header_extension janus_pp_rtp_header_extension